// FillPropDlg.cpp: 实现文件
//

#include "pch.h"
#include "FYEDrawDemoVC.h"
#include "FillPropDlg.h"
#include "afxdialogex.h"


// CFillPropDlg 对话框

IMPLEMENT_DYNAMIC(CFillPropDlg, CDialogEx)

CFillPropDlg::CFillPropDlg(CWnd* pParent /*=nullptr*/)
	: CDialogEx(IDD_DIALOG_PFILL, pParent)
	, m_iShapeID(0)
	, m_bChkFill(FALSE)
	, m_iFillColor(0)
{

}

CFillPropDlg::~CFillPropDlg()
{
}

void CFillPropDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialogEx::DoDataExchange(pDX);
	DDX_Text(pDX, IDC_EDIT_PROP_SHAPEID, m_iShapeID);
	DDX_Control(pDX, IDC_CHECK_PFILL, m_chkFill);
	DDX_Check(pDX, IDC_CHECK_PFILL, m_bChkFill);
	DDX_Text(pDX, IDC_EDIT_PROP_LCOLOR, m_iFillColor);
}


BEGIN_MESSAGE_MAP(CFillPropDlg, CDialogEx)
	ON_BN_CLICKED(IDOK, &CFillPropDlg::OnBnClickedOk)
	ON_BN_CLICKED(IDCANCEL, &CFillPropDlg::OnBnClickedCancel)
END_MESSAGE_MAP()


// CFillPropDlg 消息处理程序


void CFillPropDlg::OnBnClickedOk()
{
	// TODO: 在此添加控件通知处理程序代码
	CDialogEx::OnOK();
}


void CFillPropDlg::OnBnClickedCancel()
{
	// TODO: 在此添加控件通知处理程序代码
	CDialogEx::OnCancel();
}
